# $Revision: 1.52 $, $Date: 2006/10/01 20:38:07 $
Summary:	UebiMiau - simple POP3 mail reader
Summary(pl):	UebiMiau - prosty czytnik poczty POP3
Name:		uebimiau
Version:	2.7.10
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.uebimiau.org/downloads/%{name}-%{version}-any.zip
# Source0-md5:	859cae1133aa088823d78acbbeb3baa2
Patch0:		%{name}-folders.patch
Patch1:		%{name}-smarty.patch
Patch2:		%{name}-pl-fixes.patch
Patch3:		%{name}-header.patch
Patch4:		%{name}-language.patch
URL:		http://www.uebimiau.org/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.1.1
# BR: rpm - not for Ra where is wrong def. of %%{_sharedstatedir}.
BuildRequires:	rpm >= 4.3
Requires:	Smarty >= 2.6.10-3
Requires:	sed >= 4.1.1
Requires:	webapps
Provides:	webmail
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}
%define		_smartydir	/usr/share/php/Smarty
%define		_sysconfdir	/etc/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
UebiMiau is a web-based e-mail client written in PHP. It has some
features, such as: Folders, View and Send Attachments, Preferences,
Search, Quota Limit, etc. UebiMiau does not require database or IMAP.

%description -l pl
UebiMiau jest napisanym w PHP klientem poczty elektronicznej. Jego
moliwoci to m.in. obsuga folderw, przegldania i wysyania
zacznikw, preferencji, wyszukiwania, quoty i inne. UebiMiau nie
wymaga bazy danych ani IMAP.

%prep
%setup -q -n webmail

# undos the source
find . -name '*.php' -print0 | xargs -0 sed -i -e 's,\r$,,'

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# prepare apache config file
cat > apache.conf << EOF_APACHE_CONF
Alias /%{name} %{_appdir}
<Directory %{_appdir}>
	Order Allow,Deny
	Allow From All
</Directory>
EOF_APACHE_CONF

%{__sed} -i "s|\$temporary_directory = \"database/\";|\$temporary_directory = \"%{_sharedstatedir}/%{name}/\";|" inc/config.php
for f in index.php badlogin.php error.php inc/inc.php; do
	%{__sed} -i "s|define(\"SMARTY_DIR\",\"./smarty/\");|define(\"SMARTY_DIR\",\"%{_smartydir}/\");|" $f
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sharedstatedir}/%{name}}
install -d $RPM_BUILD_ROOT%{_appdir}/{database,extra,images,inc,langs,themes/uebimiau}

install *.php			$RPM_BUILD_ROOT%{_appdir}
install database/index.php	$RPM_BUILD_ROOT%{_appdir}/database
install extra/*			$RPM_BUILD_ROOT%{_appdir}/extra
install images/*		$RPM_BUILD_ROOT%{_appdir}/images
install inc/*			$RPM_BUILD_ROOT%{_appdir}/inc
install langs/*			$RPM_BUILD_ROOT%{_appdir}/langs
install themes/debug.tpl	$RPM_BUILD_ROOT%{_appdir}/themes
cp -a  themes/uebimiau/*	$RPM_BUILD_ROOT%{_appdir}/themes/uebimiau
install apache.conf 		$RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install apache.conf 		$RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

mv $RPM_BUILD_ROOT%{_appdir}/inc/config{,.languages,.security}.php	$RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_sysconfdir}/config.php		$RPM_BUILD_ROOT%{_appdir}/inc/config.php
ln -s %{_sysconfdir}/config.languages.php	$RPM_BUILD_ROOT%{_appdir}/inc/config.languages.php
ln -s %{_sysconfdir}/config.security.php	$RPM_BUILD_ROOT%{_appdir}/inc/config.security.php

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerun -- %{name} < 2.7.8-5.RC1
RADIR=/home/httpd/html/uebimiau/inc
ACDIR=/home/services/httpd/html/uebimiau/inc
if [ -d "$RADIR" -o -d "$ACDIR" ] ; then
	echo -e	"\n###############################################################################\n"
	echo	"Moving %{name} contents of configuration files to new location in"
	echo	"(%{_sysconfdir}/%{name}/) ..."
	echo	"If something fails run sudo rpm -e --allmatches uebimiau and move configuration"
	echo	"files and contents of \$temprorary_directory by hand."
	if [ -d "${RADIR}" -a -d "${ACDIR}" ] ; then
		echo	"ERROR: Moving fails - system contains both directories:"
		echo	"$RADIR"
		echo	"$ACDIR"
		echo	"Remove by hand this one which does not contain proper configuration files and data."
		echo	"And try again."
		echo -e	"\n###############################################################################\n"
		exit 1
	fi
	if [ -d "$RADIR" ] ; then
		CDIR="$RADIR"
	elif [ -d "$ACDIR" ] ; then
		CDIR="$ACDIR"
	else
		echo "ERROR: Script failed - hgw."
		exit 1
	fi
	if [ -d "${CDIR}" ] ; then
		umask 022
		CFS=$(find "${CDIR}" -name "config*.php")
		for CF in $CFS ; do
			cat "$CF" > %{_sysconfdir}/%{name}/$(basename "$CF")
		done
		%{__sed} -i \
			"s|\$temporary_directory = \".*\"|\$temporary_directory = \"%{_sharedstatedir}/%{name}/\";|" \
			%{_sysconfdir}/%{name}/config.php
		chmod 644 %{_sysconfdir}/%{name}/*
		echo -e	"\n###############################################################################\n"
		echo	"Done."
		echo -e	"\n###############################################################################\n"
		echo	"Now you *must* move by hand %{name} data (see \$temprorary_directory"
		echo	"in ${CDIR}/config.php.rpmsave where they are)\nto /var/lib/%{name}/ . "
		echo -e	"\n###############################################################################\n"
	fi
fi

%triggerpostun -- %{name} < 2.7.8-9.RC1.4.5
# rescue app config
for i in config.languages.php config.php config.security.php; do
	if [ -f /etc/%{name}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/%{name}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
	httpd_reload=1
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
	httpd_reload=1
fi

# migrate from apache-config macros
if [ -f /etc/%{name}/apache.conf.rpmsave ]; then
	if [ -d /etc/apache/webapps.d ]; then
		cp -f %{_sysconfdir}/apache.conf{,.rpmnew}
		cp -f /etc/%{name}/apache.conf.rpmsave %{_sysconfdir}/apache.conf
	fi

	if [ -d /etc/httpd/webapps.d ]; then
		cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
		cp -f /etc/%{name}/apache.conf.rpmsave %{_sysconfdir}/httpd.conf
	fi
	rm -f /etc/%{name}/apache.conf.rpmsave
fi

# place new config location, as trigger puts config only on first install, do it here.
if [ -L /etc/apache/conf.d/99_%{name}.conf ]; then
	rm -f /etc/apache/conf.d/99_%{name}.conf
	/usr/sbin/webapp register apache %{_webapp}
	apache_reload=1
fi
if [ -L /etc/httpd/httpd.conf/99_%{name}.conf ]; then
	rm -f /etc/httpd/httpd.conf/99_%{name}.conf
	/usr/sbin/webapp register httpd %{_webapp}
	httpd_reload=1
fi

if [ "$httpd_reload" ]; then
	%service httpd reload
fi
if [ "$apache_reload" ]; then
	%service apache reload
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(750,root,http) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/database
%{_appdir}/extra
%{_appdir}/images
%{_appdir}/inc
%{_appdir}/langs
%dir %{_appdir}/themes
%{_appdir}/themes/debug.tpl
%{_appdir}/themes/uebimiau

%dir %attr(770,root,http) %{_sharedstatedir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uebimiau.spec,v $
Revision 1.52  2006/10/01 20:38:07  glen
- rel 1

Revision 1.51  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.50  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.49  2006/07/17 00:38:00  glen
- undos before patching

Revision 1.48  2006/07/16 21:02:52  adamg
- updated to 2.7.10
- dropped -bugfixes and -focus patches (the latter wasn't applied)
- introduced -header and -language patches
- put Directory directive in apache.conf
- rel 0.1

Revision 1.47  2006/02/03 16:50:42  baggins
- rel 6

Revision 1.46  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.45  2006/01/04 14:15:22  glen
- use %service in trigger to respect skip auto restarts of services
- rel 5

Revision 1.44  2005/12/03 21:31:53  glen
- use webapps framework

Revision 1.43  2005/10/26 15:23:47  glen
- apache config triggers, other work

Revision 1.42  2005/10/26 15:03:48  glen
- typo; drop Vendor

Revision 1.41  2005/10/26 15:01:21  glen
- new Smarty location; cosmetics

Revision 1.40  2005/08/05 07:34:20  prism
- added focus patch to improve login page a bit

Revision 1.39  2005/03/27 16:15:12  paszczus
- cleanups

Revision 1.38  2005/01/07 15:24:47  prism
- forgot about two other files with SMARTY_DIR defined

Revision 1.37  2005/01/04 22:43:59  ankry
- cosmetics

Revision 1.36  2005/01/04 20:34:40  prism
- patches reviewed, modified uebimiau-bugfixes.patch as it was responsible
  for breaking attachments downloading and removed unnecessary fix for it.
- rel++, STBR

Revision 1.35  2005/01/04 09:48:38  prism
- downloading attachments fixed
- removed php and php-pcre from R: as Smarty already requires it
- pl lang fixes (typos and some other minor translation modifications)

Revision 1.34  2005/01/04 01:14:45  prism
- now it makes use of the Smarty installed from a package instead of an old
  version integrated into the original sources
- downloading attachments doesn't work for me, it needs a fix.

Revision 1.33  2004/12/09 09:28:51  paszczus
- Release that allow build to ac-ready

Revision 1.32  2004/12/08 22:59:22  paszczus
- removed attachment,readmsg.patch (included in bugfixes.patch)
- added bugfixes.patch (fix download,attachment,redir,moving bugs)
- dropped out Source0-size
- release 8; STBR

Revision 1.31  2004/11/15 17:12:15  kosmo
- added folders patch, rel++

Revision 1.30  2004/10/31 15:11:54  paladine
- spaces->tabs
- formatting

Revision 1.29  2004/10/17 07:41:18  paszczus
- massive attack: added Source0-size

Revision 1.28  2004/08/24 21:03:00  twittner
- drop out commented out -theme-mozilla subpackage (broken sources).
- use defattr for /var/lib/uebimiau data directory
- rel. 6. - tested: works for me (built on Ac installed on Ra).
  Requires moving by hand uebimiau data from old to new location -
  - trigger cares only about moving config files.

Revision 1.27  2004/08/16 19:52:56  twittner
- theme-mozilla is totally broken and doesn't work - commented out.
  (fix previous commitlog)

Revision 1.25  2004/08/16 14:21:20  twittner
- fixed trigger (triggerin -> triggerun).
- fixed themes' files division between packages.
- rel. 5.3

Revision 1.24  2004/07/27 15:35:05  ankry
- cosmetics

Revision 1.23  2004/07/27 15:15:01  paszczus
- typo

Revision 1.22  2004/07/27 11:56:10  paszczus
- removed v options from tar

Revision 1.21  2004/07/27 11:54:06  paszczus
- added subpackage -theme-mozilla
- cleanups

Revision 1.20  2004/07/27 11:30:38  twittner
- less naive trigger
- BRs: sed >= 4.1.1, rpm >= 4.3
- NOTE: on my Ra box trigger is run twice, on Ac/HEAD - one.

Revision 1.19  2004/07/26 14:43:27  twittner
- WARNING: for now upgrade on Ra (trigger) is broken. Fix it or wait - I'm
  at work on it.

Revision 1.18  2004/07/26 00:00:51  twittner
- fix location of "Done." message.
- user & cache data were moved from /usr/share/uebimiau/database
  to /var/lib/uebimiau; set $temprorary_directory to proper
  /var/lib/uebimiau (it relates only to new instalation, not upgrade).
- use macros instead of "hardcoded" paths everywhere where possible.
- rel. 5.2

Revision 1.17  2004/07/25 16:40:32  paszczus
- added Done message to preun

Revision 1.16  2004/07/25 15:46:15  twittner
- moved from /home/*/httpd/html/uebimiau to /usr/share/uebimiau
- added scripts post, preun for reloading apache
- added trigger which allows moving contents of configuration files
  to /etc/uebimiau/ when uebimiau is upgraded.
- rel. 5.1 (5 is reserved for Ra) - needs tests and fixing some issues:
  1. R: webserver, but %post, %preun works only with apache (uses
     apachectl. Probably they should be rewritten - this problem is related
     to few others specs with php applications.
  2. /usr/share/uebimiau/database must be writeable for now - uebimiau
     stores there various "runtime" data.

Revision 1.15  2004/01/17 23:49:59  domelu
- release 4 to rebuild with ac

Revision 1.14  2003/11/03 12:35:55  ciesiel
- Added require

Revision 1.13  2003/08/31 20:06:47  ciesiel
- added patch (by Andree) - problem reading mails and downloading attachments in ssl

Revision 1.12  2003/08/14 08:50:59  ciesiel
- upgraded to version 2.7.8 RC1

Revision 1.11  2003/06/22 22:57:41  eothane
- updated URL:/Source0: to http://www.uebimiau.org

Revision 1.10  2003/05/28 13:02:25  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:27:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/12/07 15:53:56  orzech
- /home -> /home/services

Revision 1.7  2002/10/14 13:28:09  ppv
- typo in %description -l pl
- 755 not needed for config.languages.php
- release 2
  STBR

Revision 1.6  2002/10/12 23:38:32  ppv
- updated to new version [2.7.2]
- release 1
  STBR

Revision 1.5  2002/10/03 12:37:13  qboosh
- typos, missing dir; release 2

Revision 1.4  2002/09/24 17:33:06  ppv
- removed autogeneration of php dependences [it was baaad ;]

Revision 1.3  2002/09/24 10:29:54  kloczek
- spec adapterized,
- autogenerated php dependences,
- removed %post (configuration file is indicated by %config()),
- add %{_uebimiaudir} directory to %files,
- simplifications and cosmetics.

Revision 1.2  2002/09/24 07:02:51  ppv
- updated Vendor:
  STBR?

Revision 1.1  2002/09/24 07:00:03  ppv
- initial spec [hello everybody:]
